Skip to main content
POST
/
api-tools
/
connection
/
create
/
{instance}
Create an API connection
curl --request POST \
  --url https://api.zapthinker.com/api-tools/connection/create/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "name": "<string>",
  "baseUrl": "<string>",
  "description": "<string>",
  "authType": "none",
  "authConfig": {},
  "headers": {},
  "enabled": true
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Nome da instância

Body

application/json
name
string
required

Nome da conexão

Minimum string length: 1
baseUrl
string
required

URL base da API

Minimum string length: 1
description
string
authType
enum<string>
Available options:
none,
apiKey,
bearer,
basic,
custom
authConfig
object

Configuração de autenticação

headers
object

Headers customizados

enabled
boolean

Response

Conexão criada com sucesso

The response is of type object.